#ifndef ASPRINTF_H
#define ASPRINTF_H

#ifndef _GNU_SOURCE
#	error _GNU_SOURCE must be defined for {,v}asprintf to work (see feature_test_macros(7))
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <stdarg.h>
#include <stdio.h>

/**
 * Wrapper functions for {,v}asprintf which returns the string or NULL if an
 * error has occured.
 */
char*  asprintf2(const char* fmt, ...);
char* vasprintf2(const char* fmt, va_list ap);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* ASPRINTF_H */

