#ifndef __PORTABLE_ENV_H
#define __PORTABLE_ENV_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <errno.h>
#include <string.h> /* for size_t */

/* Searches the current environment for varname, copying the content if found.
 * Release memory with free. */
int dupenv(char** buffer, size_t* numberOfElements, const char *varname);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __PORTABLE_ENV_H */
